
TYPO3.Fluid - Bug # 28557

Feature # 28544 (Resolved): Compilation of Fluid Templates into PHP files

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2011-07-28 Assigned To: Sebastian Kurfuerst
Updated: 2011-08-01 Due date:
Has patch: No
Affected Flow version:
Subject: Fix parameter type checking in Fluid
Description

#1: Warning: get_object_vars() expects parameter 1 to be object, string given in
/opt/local/apache2/htdocs/Quickstart/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/TYPO3_FLOW3_Reflection_ObjectAccess_Original.php line 133 (
n_ObjectAccess_Original.php line 133 (http://typo3.org/go/exception/1)

-> happens when one has <f:form object="somethingWhichIsAStringButNoObject" />

History
#1 - 2011-08-01 10:07 - Bastian Waidelich
- Assigned To set to Sebastian Kurfuerst

#2 - 2011-08-01 13:12 - Sebastian Kurfuerst
- Status changed from New to Accepted

#3 - 2011-08-01 13:28 - Sebastian Kurfuerst
- % Done changed from 0 to 50

fixed in v5

#4 - 2011-08-01 13:29 - Sebastian Kurfuerst

https://review.typo3.org/#change,3974

#5 - 2011-08-01 13:45 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100

Also backported it to v4.

Was actually an error of Object Access.
